from typing import NamedTuple


class ItemType(NamedTuple):
    name: str
    potential_tons: tuple
    potential_values: tuple
    potential_times: tuple | None = None
    chance_for_time: int | None = None
    must_be_smuggled: bool = False


ITEMS = [
    ItemType(
        name="gravel",
        potential_tons=(1, 8),
        potential_values=(5, 40),
    ),
    ItemType(
        name="computer chips",
        potential_tons=(1, 3),
        potential_values=(10, 120),
        potential_times=(7, 31),
        chance_for_time=50,
    ),
    ItemType(
        name="spice",
        potential_tons=(1, 10),
        potential_values=(12, 120),
        potential_times=(7, 31),
        chance_for_time=75,
        must_be_smuggled=True,
    ),
    ItemType(
        name="live ysalamiri",
        potential_tons=(1, 2),
        potential_values=(5, 10),
        potential_times=(7, 14),
        chance_for_time=100,
    ),
    ItemType(
        name="empty shipping containers", potential_values=(1, 2), potential_tons=(2, 5)
    ),
]
